0

Months ago I tried to install wine and since then, whenever I try to install something, anything, I get this error. I tried to uninstall wine but, unfortunately whenever I try to uninstall it I also get this error. I have too many back up to take and set up, so I can't just do a clean Ubuntu install right now but as you might guess, this has been very difficult for me! practically making it impossible to use my machine.

This is the error I get:

   wine32:i386 : Depends: libwine:i386 (= 3.0-1ubuntu1) but it is not going to be installed
     wine64 : Depends: libwine (= 3.0-1ubuntu1) but it is not going to be installed

I did read some comments on repositories, and these are the ones I can see in the list that mentions wine:

/etc/apt/sources.list:deb https://dl.winehq.org/wine-builds/ubuntu/ bionic main
/etc/apt/sources.list:# deb-src https://dl.winehq.org/wine-builds/ubuntu/ bionic main
/etc/apt/sources.list.d/ubuntu-wine-ubuntu-ppa-xenial.list:# deb http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu bionic main # disabled on upgrade to bionic
/etc/apt/sources.list.d/ubuntu-wine-ubuntu-ppa-xenial.list:# deb-src http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu xenial main
/etc/apt/sources.list.d/ubuntu-wine-ubuntu-ppa-xenial.list.distUpgrade:deb http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu xenial main
/etc/apt/sources.list.d/ubuntu-wine-ubuntu-ppa-xenial.list.distUpgrade:# deb-src http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu xenial main
/etc/apt/sources.list.d/ubuntu-wine-ubuntu-ppa-xenial.list.save:# deb http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu bionic main # disabled on upgrade to bionic
/etc/apt/sources.list.d/ubuntu-wine-ubuntu-ppa-xenial.list:# deb http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu bionic main # disabled on upgrade to bionic
/etc/apt/sources.list.d/ubuntu-wine-ubuntu-ppa-xenial.list:# deb-src http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu xenial main
/etc/apt/sources.list.d/ubuntu-wine-ubuntu-ppa-xenial.list.distUpgrade:deb http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu xenial main
/etc/apt/sources.list.d/ubuntu-wine-ubuntu-ppa-xenial.list.distUpgrade:# deb-src http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu xenial main
/etc/apt/sources.list.d/ubuntu-wine-ubuntu-ppa-xenial.list.save:# deb http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu bionic main # disabled on upgrade to bionic

Some has advised to remove these but I am not sure if I need to go for all? I have many other packages as well, do I remove xenial?? not remove xenial??. Also, I am not sure how to delete them as I can't install synaptic package manager and the like due to the error mentioned above just as any other package.

How can I fix this? I do not wish to keep wine at all, I just want to fix this issue -------------------------EDIT---------------------------------------------

 grep -r ^deb /etc/apt/ --include="*.list"


/etc/apt/sources.list:deb http://tr.archive.ubuntu.com/ubuntu/ bionic main restricted
/etc/apt/sources.list:deb http://tr.archive.ubuntu.com/ubuntu/ bionic-updates main restricted
/etc/apt/sources.list:deb http://tr.archive.ubuntu.com/ubuntu/ bionic universe
/etc/apt/sources.list:deb http://tr.archive.ubuntu.com/ubuntu/ bionic-updates universe
/etc/apt/sources.list:deb http://tr.archive.ubuntu.com/ubuntu/ bionic multiverse
/etc/apt/sources.list:deb http://tr.archive.ubuntu.com/ubuntu/ bionic-updates multiverse
/etc/apt/sources.list:deb http://tr.archive.ubuntu.com/ubuntu/ bionic-backports main restricted universe multiverse
/etc/apt/sources.list:deb http://archive.canonical.com/ubuntu bionic partner
/etc/apt/sources.list:deb http://security.ubuntu.com/ubuntu bionic-security main restricted
/etc/apt/sources.list:deb http://security.ubuntu.com/ubuntu bionic-security universe
/etc/apt/sources.list:deb http://security.ubuntu.com/ubuntu bionic-security multiverse
/etc/apt/sources.list:deb http://archive.canonical.com/ bionic partner
/etc/apt/sources.list:deb https://dl.winehq.org/wine-builds/ubuntu/ bionic main
/etc/apt/sources.list.d/obsproject-ubuntu-obs-studio-bionic.list:deb http://ppa.launchpad.net/obsproject/obs-studio/ubuntu bionic main
/etc/apt/sources.list.d/google-chrome.list:deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main

apt-cache policy wine32:i386 libwine:i386 wine64 libwine
wine32:i386:
  Installed: 3.0-1ubuntu1
  Candidate: 3.0-1ubuntu1
  Version table:
 *** 3.0-1ubuntu1 500
        500 http://tr.archive.ubuntu.com/ubuntu bionic/universe i386 Packages
        100 /var/lib/dpkg/status
libwine:i386:
  Installed: (none)
  Candidate: 3.0-1ubuntu1
  Version table:
     3.0-1ubuntu1 500
        500 http://tr.archive.ubuntu.com/ubuntu bionic/universe i386 Packages
wine64:
  Installed: 3.0-1ubuntu1
  Candidate: 3.0-1ubuntu1
  Version table:
 *** 3.0-1ubuntu1 500
        500 http://tr.archive.ubuntu.com/ubuntu bionic/universe amd64 Packages
        100 /var/lib/dpkg/status
libwine:
  Installed: (none)
  Candidate: 3.0-1ubuntu1
  Version table:
     3.0-1ubuntu1 500
        500 http://tr.archive.ubuntu.com/ubuntu bionic/universe amd64 Packages

dpkg -l | grep -i wine
ii  q4wine                                        1.3.6-2                                         amd64        Qt GUI for wine (WINE)
iU  wine-stable                                   3.0-1ubuntu1                                    all          Windows API implementation - standard suite
rc  wine1.6                                       1:1.6.2-0ubuntu14.2                             amd64        Microsoft Windows Compatibility Layer (Binary Emulator and Library)
ii  wine1.8                                       1:1.8.0-0ubuntu1~ubuntu15.10.1~ppa1             amd64        Microsoft Windows Compatibility Layer (Binary Emulator and Library)
ii  wine1.8-amd64                                 1:1.8.0-0ubuntu1~ubuntu15.10.1~ppa1             amd64        Microsoft Windows Compatibility Layer (64-bit support)
ii  wine1.8-i386:i386                             1:1.8.0-0ubuntu1~ubuntu15.10.1~ppa1             i386         Microsoft Windows Compatibility Layer (32-bit support)
iU  wine32:i386                                   3.0-1ubuntu1                                    i386         Windows API implementation - 32-bit binary loader
iU  wine64                                        3.0-1ubuntu1                                    amd64        Windows API implementation - 64-bit binary loader
ii  winetricks                                    0.0+20180217-1                                  all          package manager for Wine to install software easily
4
  • 1
    OK, let's start from the beginning - add the output of the following commands - grep -r ^deb /etc/apt/ --include="*.list , apt-cache policy wine32:i386 libwine:i386 wine64 libwine , dpkg -l | grep -i wine to the question. – N0rbert Jul 8 '20 at 20:13
  • Hi, thanks, I edited to add the outputs to the comments. – dusa Jul 8 '20 at 20:20
  • 1
    Do you really need Wine? Do you plan to use it? – N0rbert Jul 8 '20 at 20:29
  • 1
    No, not at all, I just want the errors gone. – dusa Jul 8 '20 at 20:31
2

I would recommend to remove Wine repository with:

sudo add-apt-repository -r "deb https://dl.winehq.org/wine-builds/ubuntu/ bionic main"

and remove related packages with low-level commands

sudo dpkg -P --force-all wine1.6
sudo dpkg -P --force-all wine1.8 
sudo dpkg -P --force-all wine1.8-amd64
sudo dpkg -P --force-all wine1.8-i386:i386

and normal high-level commands:

sudo apt-get purge q4wine wine-stable wine32:i386 wine64 winetricks
0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.